<?php 
/**
 * The following is an example source file for the Asterisk Manager library
 * 
 * PHP version 5
 *
 * @category  Net
 * @package   Net_AsteriskManager
 * @author    Doug Bromley <doug.bromley@gmail.com>
 * @copyright 2008 Doug Bromley
 * @license   New BSD License
 * @link      http://www.straw-dogs.co.uk
 *
 ***
 * Copyright (c) 2008, Doug Bromley <doug.bromley@gmail.com>
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without modification,
 * are permitted provided that the following conditions are met:
 * - Redistributions of source code must retain the above copyright notice, 
 *   this list of conditions and the following disclaimer.
 * - Redistributions in binary form must reproduce the above copyright notice, 
 *   this list of conditions and the following disclaimer in the documentation 
 *   and/or other materials provided with the distribution.
 * - Neither the name of the <ORGANIZATION> nor the names of its 
 *   contributors may be used to endorse or promote products derived from 
 *   this software without specific prior written permission.

 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" 
 * AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, 
 * THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR 
 * PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR 
 * CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, 
 * EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, 
 * PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; 
 * OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, 
 * WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE 
 * OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, 
 * EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 ***
 *
 */

/**
 * Including the Asterisk Manager library
 */
require "../../AsteriskManager.php";


/**
 * The parameters for connecting to the server
 */
$params = array('server' => '127.0.0.1', 'port' => '5038');

/**
 * Instantiate Asterisk object and connect to server
 */
$ast = new Net_AsteriskManager($params);

/**
 * Connect to server
 */
try {
    $ast->connect();
} catch (PEAR_Exception $e) {
    echo $e;
}

/**
 * Login to manager API
 */
try {
    $ast->login('user', 'pass');
} catch(PEAR_Exception $e) {
    echo $e;
}

try {
    $ast->checkSocket();

    $number = "6479738749";
	$refid = "30";

	$command = "Action: WATSendSms\r\n";
    $command .= "span:1\r\n";
    $command .= "To-Number: $number\r\n";
    $command .= "Content-type: text/plain; charset=ASCII\r\n";
    $command .= "X-SMS-Class: TE-Specific\r\n";
	$command .= "X-SMS-Concat-Reference-ID: $refid\r\n";
	$command .= "X-SMS-Concat-Sequence-Number: 1\r\n";
	$command .= "X-SMS-Concat-Total-Messages: 2\r\n";
	$command .= "Content: This is message part 1 of 2, that will be followed by part 2 of 2 which will be sent later.\r\n";
	//$command .= "ActionID: $number\r\n\r\n";

    $command .= "\r\n";

	$response = $ast->sendCommand($command);
	echo $response;

	$command = "Action: WATSendSms\r\n";
    $command .= "span:1\r\n";
    $command .= "To-Number: $number\r\n";
    $command .= "Content-type: text/plain; charset=ASCII\r\n";
    $command .= "X-SMS-Class: TE-Specific\r\n";
	$command .= "X-SMS-Concat-Reference-ID: $refid\r\n";
	$command .= "X-SMS-Concat-Sequence-Number: 2\r\n";
	$command .= "X-SMS-Concat-Total-Messages: 2\r\n";	
	$command .= "Content: This is part 2 of 2, the message is now complete. We can thus send up to 255 parts for a total of 40,800 charaters (for just 38 Euros!)\r\n";
	//$command .= "ActionID: $number\r\n\r\n";

    $command .= "\r\n";

	$response = $ast->sendCommand($command);
	echo $response;


	
} catch (PEAR_Exception $e) {
    echo $e;
}

?>
